import { OpenAPIV3, OpenApiRequest, RequestValidatorOptions } from '../framework/types';
export declare class RequestValidator {
    private middlewareCache;
    private apiDoc;
    private ajv;
    private ajvBody;
    private requestOpts;
    constructor(apiDoc: OpenAPIV3.Document, options?: RequestValidatorOptions);
    validate(req: OpenApiRequest): void;
    private buildMiddleware;
    private processQueryParam;
}
