import { OpenApiValidatorOpts } from './framework/types';
import { AjvOptions } from './framework/ajv/options';
export { OpenApiValidatorOpts } from './framework/types';
export declare class OpenApiValidator {
    readonly options: OpenApiValidatorOpts;
    readonly ajvOpts: AjvOptions;
    constructor(options: OpenApiValidatorOpts);
    createValidator(): Function;
    private validateOptions;
    private normalizeOptions;
}
